Module | RedCloth
In: | lib/redcloth.rb lib/redcloth/version.rb lib/redcloth/textile_doc.rb ext/redcloth_scan/redcloth_scan.c

Transforms a Textile document with `formatter`

### Methods

include new

### Classes and Modules

Module RedCloth::Formatters
Module RedCloth::VERSION
Class RedCloth::TextileDoc

### Constants

NAME | = | "RedCloth"
GEM_NAME | = | NAME
URL | = | "http://redcloth.org/"
SUMMARY | = | "#{NAME}-#{VERSION::FULL_VERSION}-#{EXTENSION_LANGUAGE}"
SUMMARY | = | "#{NAME}-#{VERSION::FULL_VERSION}"
DESCRIPTION | = | SUMMARY + " - #{description}\n#{URL}"
EXTENSION_LANGUAGE | = | rb_str_new2("C")

### Public Class methods

include(*args)

Include extension modules (if any) in TextileDoc.

[Source]

        # File lib/redcloth.rb, line 34
    34:   def self.include(*args)
    35:     RedCloth::TextileDoc.send(:include, *args)
    36:   end

new( *args, &block )

A convenience method for creating a new TextileDoc. See RedCloth::TextileDoc.

[Source]

        # File lib/redcloth.rb, line 29
    29:   def self.new( *args, &block )
    30:     RedCloth::TextileDoc.new( *args, &block )
    31:   end

[Validate]